using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_LunTan_BanKuai_DaoChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("网站后台", "网站后台", "网站后台", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (Request.QueryString["Act"] == "En")
        {
            访问.验证权限("30");

            DataSet 数据 = new DataSet();
            SqlCommand 语句 = new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "社区_论坛_版块]", 访问.连接);
            SqlDataAdapter 填充 = new SqlDataAdapter(语句);
            填充.Fill(数据, "数据");

            常用.保存对象(数据, Server.MapPath("~/Temp/论坛版块.rar"));

            Label1.Text = "版块导出成功";

            访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
            管理记录.记录("导出版块", 访问.用户["昵称"].ToString());
        }
    }
}
